package com.winhc.max.compute.graph.util;

import com.aliyun.odps.io.Writable;
import lombok.SneakyThrows;

import java.io.DataOutput;

/**
 * @author: XuJiakai
 * 2023/2/13 09:39
 */
public class WritableUtils {
    @SneakyThrows
    public static <T extends Writable> void write(DataOutput out, T... objects) {
        for (T object : objects) {
            if (object == null) {
                Class<? extends Writable> aClass = object.getClass();
                Writable o = aClass.newInstance();
                o.write(out);
            }else {
                object.write(out);
            }
        }
    }

    public static void read() {

    }

}
